## org.eclipse.datatools.enablement.sybase.asa.catalog
Class ASAUtil

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.catalog.ASAUtil

    public class ASAUtil

extends java.lang.Object

Field Summary
`static java.lang.String` `PERMISSION_ALTER_ACTION`
`static java.lang.String` `PERMISSION_DELETE_ACTION`
`static java.lang.String` `PERMISSION_EXECUTE_ACTION`
`static java.lang.String` `PERMISSION_INSERT_ACTION`
`static java.lang.String` `PERMISSION_REFERENCE_ACTION`
`static java.lang.String` `PERMISSION_SELECT_ACTION`
`static java.lang.String` `PERMISSION_UPDATE_ACTION`

Constructor Summary
`ASAUtil()`

Method Summary
`static SQLObject` `getSQLObject(java.util.Collection sqlObjs, java.lang.String objName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERMISSION_DELETE_ACTION

    public static final java.lang.String PERMISSION_DELETE_ACTION

See Also:
  Constant Field Values

### PERMISSION_INSERT_ACTION

    public static final java.lang.String PERMISSION_INSERT_ACTION

See Also:
  Constant Field Values

### PERMISSION_REFERENCE_ACTION

    public static final java.lang.String PERMISSION_REFERENCE_ACTION

See Also:
  Constant Field Values

### PERMISSION_SELECT_ACTION

    public static final java.lang.String PERMISSION_SELECT_ACTION

See Also:
  Constant Field Values

### PERMISSION_UPDATE_ACTION

    public static final java.lang.String PERMISSION_UPDATE_ACTION

See Also:
  Constant Field Values

### PERMISSION_ALTER_ACTION

    public static final java.lang.String PERMISSION_ALTER_ACTION

See Also:
  Constant Field Values

### PERMISSION_EXECUTE_ACTION

    public static final java.lang.String PERMISSION_EXECUTE_ACTION

See Also:
  Constant Field Values

Constructor Detail

### ASAUtil

    public ASAUtil()

Method Detail

### getSQLObject

    public static SQLObject getSQLObject(java.util.Collection sqlObjs,
                                         java.lang.String objName)